package com.sagacloud.utils.jsonHelper.excelImport.equipment;

import org.apache.htrace.fasterxml.jackson.annotation.JsonIgnore;
import org.apache.htrace.fasterxml.jackson.annotation.JsonInclude;

import java.util.List;

/**
 * Created by wo on 10/27/17.
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class EqEntity {
    private String building_id;

    private String equipment_category;

    private Infos infos;

    @JsonIgnore
    private EqEntity meter;

    @JsonIgnore
    private String id;

    @JsonIgnore
    private List<EqEntity> children;

    @JsonIgnore
    private  EqEntity parent;

    public String getBuilding_id() { return this.building_id; }

    public void setBuilding_id(String building_id) { this.building_id = building_id; }


    public String getEquipmentCategory() { return this.equipment_category; }

    public void setEquipmentCategory(String equipment_category) { this.equipment_category = equipment_category; }

    public EqEntity getMeter() {
        return meter;
    }

    public void setMeter(EqEntity meter) {
        this.meter = meter;
    }

    public Infos getInfos() { return this.infos; }

    public void setInfos(Infos infos) { this.infos = infos; }



    public String getEquipment_category() {
        return equipment_category;
    }

    public void setEquipment_category(String equipment_category) {
        this.equipment_category = equipment_category;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public List<EqEntity> getChildren() {
        return children;
    }

    public void setChildren(List<EqEntity> children) {
        this.children = children;
    }

    public EqEntity getParent() {
        return parent;
    }

    public void setParent(EqEntity parent) {
        this.parent = parent;
    }
}
